Lingxing
切换旧版

上传货件跟踪号

POST/amzStaServer/openapi/inbound-shipment/updateShipmentTrack

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/updateShipmentTrackHTTPSPOST1

请求参数

billOfLadingNumberstring
提货单号,LTL建议填写,非必填
freightBillNumberstring
LTL跟踪编号(LTL必填)
inboundPlanIdstring
STA任务编号
shipmentConfirmationIdstring
货件单号
shipmentIdstring
货件id
sidinteger必填
领星店铺ID
trackBOListarray<object>
跟踪编号列表,SPD必填
隐藏子属性
boxIdstring
箱子id
localBoxIdstring
本地箱子id
trackingIdstring
跟踪id

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/updateShipmentTrack?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "billOfLadingNumber": "提货单号",
    "freightBillNumber": "LTL001",
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "shipmentConfirmationId": "FBAxxx",
    "shipmentId": "货件id",
    "sid": 1,
    "trackBOList": [{
        "boxId": "箱子id:通过查询货件装箱详情接口获取箱子ID,注意不是包裹ID",
        "localBoxId": "",
        "trackingId": "跟踪id"
    }]
}'

返回结果

codeinteger
dataobject
隐藏子属性
errorEnumsarray<any>
错误编码(让openapi的用户进行后续操作),OpenApiTypeEnum 枚举值
errorMsgstring
错误信息
inboundPlanIdstring
亚马逊任务编号
taskIdstring
任务id
taskStatusstring
任务状态
errorDetailsarray<any>
messagestring
requestIdstring
responseTimestring

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "errorMsg": "错误信息",
        "inboundPlanId": "亚马逊任务编号",
        "taskId": "任务id",
        "taskStatus": "任务状态"
    }
}